"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const src_1 = require("../src");
const server = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const handler = ({ data }) => {
        const { name, party, bookingId } = data;
        console.log(`${name} from ${party.name} had a booking with id ${bookingId}`);
    };
    yield src_1.createPubSubHandler(handler);
});
server().then(console.log).catch(console.error);
